/*
Theme Name: MFA Visits 2024Child
Theme URI: 
Author: Andrew Duhig
Author URI: 
Description: 2024 Child Theme for OSJ Music For Autism Visits
Requires at least: 6.0
Tested up to: 6.6
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfour
Text Domain: mfa-visits-2024child
Tags: 
*/

 /* --------- Forcing Footer down on short pages --------- */
 html {
	scroll-behavior: smooth;
	box-sizing: border-box;
 }
 .wp-site-blocks {
	display: flex;
	flex-direction: column;
	min-height: 100svh;
}
.wp-site-blocks footer {
	margin-top: auto;
}
.admin-bar .wp-site-blocks {
	min-height: calc(100svh - var(--wp-admin--admin-bar--height));
}
header.wp-block-template-part {
	box-shadow: 0 1px 30px rgba(0, 0, 0, 0.10);
}
header li.wp-block-navigation-item:hover, header li.wp-block-navigation-item.current-menu-item {
	color: var(--wp--preset--color--primary);
}
.wp-block-button .wp-block-button__link {
	transition: all 300ms ease-in-out;
}
.wp-block-button .wp-block-button__link:hover {
	background: var(--wp--preset--color--primary-dark);
}
.instrument figure {
	border: 1px solid #e1e1e1;
}

.wp-container-id > * {
    max-width: 840px;
    margin-left: auto !important;
    margin-right: auto !important;
}
.wp-container-id > .alignwide {
    max-width: 1100px;
}
.wp-container-id .alignfull {
    max-width: none;
}
/* Contact Form7 Styles */
.wpcf7-form label {
	width: 100%;
	display: block;
}
.wpcf7-form .wpcf7-form-control-wrap {
	display: block;
}
.wpcf7-form .wpcf7-submit {
	background-color: var(--wp--preset--color--primary);
	color: white;
	transition: all 300ms ease-in-out;
	min-width: none;
}
.wpcf7-form .wpcf7-submit:hover {
	cursor: pointer;
	background-color: var(--wp--preset--color--primary-dark);
}
.wpcf7-form input, .wpcf7-form textarea {
	font-size: 18px;
	padding: 12px 16px;
	margin-top: 4px;
}
.wpcf7-form input[type='text'], .wpcf7-form input[type='email'], .wpcf7-form textarea {
	display: block;
	width: 100%;
	max-width: 500px;
	box-sizing: border-box;
}
.wpcf7-form input[type='date'], .wpcf7-form textarea {
	font-family: inherit;
}
@media  (max-width: 599px) {
	header li.wp-block-navigation-item {
		font-size: 20px;
		line-height: 1.8;
	}
}